STOFFEmbeddedObject Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
STOFFEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions
| STOFFEmbeddedObject ()
| empty constructor More...
| STOFFEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| constructor More...
| ~STOFFEmbeddedObject ()
| destructor More...
bool | isEmpty () const
| return true if the picture contains no data More...
void | add (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| add a picture More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist More...
bool | addAsFillImageTo (librevenge::RVNGPropertyList &propList) const
| add the link property to a graph style as bitmap More...
int | cmp (STOFFEmbeddedObject const &pict) const
| a comparison function More...

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation More...
std::vector< std::string > | m_typeList
| the picture type: one type by representation More...
librevenge::RVNGString | m_filenameLink
| a picture link More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFEmbeddedObject const &pict)
| operator<< More...

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ STOFFEmbeddedObject() [1/2]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( |  | ) |
| inline

empty constructor

## ◆ STOFFEmbeddedObject() [2/2]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

constructor

## ◆ ~STOFFEmbeddedObject()

STOFFEmbeddedObject::~STOFFEmbeddedObject | ( |  | ) |

destructor

## Member Function Documentation

## ◆ add()

void STOFFEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

add a picture

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::read(), SDGParser::readBitmap(), StarFileManager::readEmbeddedPicture(), StarFileManager::readOLEDirectory(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and STOFFEmbeddedObject().

## ◆ addAsFillImageTo()

bool STOFFEmbeddedObject::addAsFillImageTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to a graph style as bitmap

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::addTo().

## ◆ addTo()

bool STOFFEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by STOFFGraphicListener::insertPicture(), STOFFTextListener::insertPicture(), and STOFFSpreadsheetListener::insertPicture().

## ◆ cmp()

int STOFFEmbeddedObject::cmp | ( | STOFFEmbeddedObject const & | pict | ) | const

a comparison function

## ◆ isEmpty()

bool STOFFEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), operator<<(), StarGraphicAttribute::StarGAttributeNamedBitmap::printData(), SDGParser::readBitmap(), StarFileManager::readOLEDirectory(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), and StarObjectSmallGraphicInternal::SdrGraphicOLE::send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFEmbeddedObject const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> STOFFEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), addAsFillImageTo(), addTo(), cmp(), isEmpty(), and StarFileManager::readEmbeddedPicture().

## ◆ m_filenameLink

librevenge::RVNGString STOFFEmbeddedObject::m_filenameLink

a picture link

Referenced by addTo(), isEmpty(), and StarObjectSmallGraphicInternal::SdrGraphicGraph::send().

## ◆ m_typeList

std::vector<std::string> STOFFEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), addAsFillImageTo(), addTo(), cmp(), operator<<(), and StarFileManager::readEmbeddedPicture().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx